QuickFIX: FIX::BoolField Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::BoolField Class Reference

Field that contains a boolean value. More...

`#include <Field.h>`

Inheritance diagram for FIX::BoolField:
[legend]
Collaboration diagram for FIX::BoolField:
[legend]

List of all members.

## Public Member Functions
| BoolField (int field, bool data)
| BoolField (int field)
void | setValue (bool value)
bool | getValue () const throw ( IncorrectDataFormat )
| Get the string representation of the Field (i.e.) 55=MSFT[SOH].
| operator bool () const

## Detailed Description

Field that contains a boolean value.

Definition at line 314 of file Field.h.

## Constructor & Destructor Documentation

FIX::BoolField::BoolField | ( | int | field,
|  | bool | data |
| ) |  |  | `[inline, explicit]`

Definition at line 317 of file Field.h.

    00318 : FieldBase( field, BoolConvertor::convert( data ) ) {}

FIX::BoolField::BoolField | ( | int | field | ) | `[inline]`

Definition at line 319 of file Field.h.

    00320 : FieldBase( field, "" ) {}

## Member Function Documentation

bool FIX::BoolField::getValue | ( |  | ) | const throw ( IncorrectDataFormat )`[inline]`

Get the string representation of the Field (i.e.) 55=MSFT[SOH].

Reimplemented from FIX::FieldBase.

Definition at line 324 of file Field.h.

    00325     { try
    00326       { return BoolConvertor::convert( getString() ); }
    00327       catch( FieldConvertError& )
    00328       { throw IncorrectDataFormat( getField(), getString() ); } }

FIX::BoolField::operator bool | ( |  | ) | const`[inline]`

Definition at line 329 of file Field.h.

    00330     { return getValue(); }

void FIX::BoolField::setValue | ( | bool | value | ) | `[inline]`

Definition at line 322 of file Field.h.

    00323     { setString( BoolConvertor::convert( value ) ); }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Field.h